zenilib: TT_MaxProfile_ Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Attributes | List of all members
TT_MaxProfile_ Struct Reference

`#include <tttables.h>`

## Public Attributes

FT_UShort | maxComponentDepth
FT_UShort | maxComponentElements
FT_UShort | maxCompositeContours
FT_UShort | maxCompositePoints
FT_UShort | maxContours
FT_UShort | maxFunctionDefs
FT_UShort | maxInstructionDefs
FT_UShort | maxPoints
FT_UShort | maxSizeOfInstructions
FT_UShort | maxStackElements
FT_UShort | maxStorage
FT_UShort | maxTwilightPoints
FT_UShort | maxZones
FT_UShort | numGlyphs
FT_Fixed | version

## Detailed Description

Definition at line 528 of file tttables.h.

## Member Data Documentation

FT_UShort TT_MaxProfile_::maxComponentDepth

Definition at line 544 of file tttables.h.

Referenced by load_truetype_glyph(), and tt_face_load_maxp().

FT_UShort TT_MaxProfile_::maxComponentElements

Definition at line 543 of file tttables.h.

Referenced by tt_face_load_maxp().

FT_UShort TT_MaxProfile_::maxCompositeContours

Definition at line 535 of file tttables.h.

Referenced by tt_face_load_maxp().

FT_UShort TT_MaxProfile_::maxCompositePoints

Definition at line 534 of file tttables.h.

Referenced by tt_face_load_maxp().

FT_UShort TT_MaxProfile_::maxContours

Definition at line 533 of file tttables.h.

Referenced by tt_face_load_maxp().

FT_UShort TT_MaxProfile_::maxFunctionDefs

Definition at line 539 of file tttables.h.

Referenced by tt_face_load_maxp().

FT_UShort TT_MaxProfile_::maxInstructionDefs

Definition at line 540 of file tttables.h.

Referenced by tt_face_load_maxp().

FT_UShort TT_MaxProfile_::maxPoints

Definition at line 532 of file tttables.h.

Referenced by tt_face_load_maxp().

FT_UShort TT_MaxProfile_::maxSizeOfInstructions

Definition at line 542 of file tttables.h.

Referenced by FT_Load_Glyph(), tt_face_load_maxp(), and TT_Load_Simple_Glyph().

FT_UShort TT_MaxProfile_::maxStackElements

Definition at line 541 of file tttables.h.

Referenced by tt_face_load_maxp().

FT_UShort TT_MaxProfile_::maxStorage

Definition at line 538 of file tttables.h.

Referenced by tt_face_load_maxp().

FT_UShort TT_MaxProfile_::maxTwilightPoints

Definition at line 537 of file tttables.h.

Referenced by tt_face_load_maxp().

FT_UShort TT_MaxProfile_::maxZones

Definition at line 536 of file tttables.h.

Referenced by tt_face_load_maxp().

FT_UShort TT_MaxProfile_::numGlyphs

Definition at line 531 of file tttables.h.

Referenced by load_format_20(), load_format_25(), and tt_face_load_maxp().

FT_Fixed TT_MaxProfile_::version

Definition at line 530 of file tttables.h.

Referenced by tt_face_load_maxp().

The documentation for this struct was generated from the following file:

- zenilib/jni/external/freetype2/include/freetype/tttables.h